package com.thebrokenrail.sorcerycraft.spell;

import com.thebrokenrail.sorcerycraft.spell.registry.Spell;
import net.minecraft.entity.Entity;
import net.minecraft.item.ItemStack;
import net.minecraft.item.Items;
import net.minecraft.util.Identifier;

public class SteadfastSpell extends Spell {
    public SteadfastSpell(Identifier id, int level) {
        super(id, level);
    }

    @Override
    public void execute(Entity target, Entity source, Entity attacker) {
        // NOOP
    }

    @Override
    public int getXPCost() {
        return 18;
    }

    @Override
    public ItemStack getItemCost() {
        return new ItemStack(Items.NETHERITE_INGOT);
    }

    @Override
    public int getMaxLevel() {
        return 1;
    }
}
